KateCommands::CoreCommands Class Reference

`#include <katecmds.h>`

Inheritance diagram for KateCommands::CoreCommands:

## Public Member Functions

bool | exec (class Kate::View *view, const QString &cmd, QString &errorMsg)
bool | help (class Kate::View *, const QString &, QString &)
QStringList | cmds ()
KCompletion * | completionObject (const QString &cmd, Kate::View *view)
Public Member Functions inherited from Kate::CommandExtension
virtual void | flagCompletions (QStringList &)
virtual bool | wantsToProcessText (const QString &cmdname)
virtual void | processText (Kate::View *view, const QString &text)

## Detailed Description

This Kate::Command provides access to a lot of the core functionality of kate part, settings, utilities, navigation etc.

it needs to get a kateview pointer, it will cast the kate::view pointer hard to kateview

Definition at line 39 of file katecmds.h.

## Member Function Documentation

QStringList KateCommands::CoreCommands::cmds | ( |  | ) |

virtual

supported commands as prefixes

Returns
  prefix list

Implements Kate::Command.

Definition at line 72 of file katecmds.cpp.

KCompletion * KateCommands::CoreCommands::completionObject | ( | const QString & | cmd,
|  | Kate::View * | view
| ) |  |

virtual

override completionObject from interfaces/document.h .

Reimplemented from Kate::CommandExtension.

Definition at line 282 of file katecmds.cpp.

bool KateCommands::CoreCommands::exec | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | errorMsg
| ) |  |

virtual

execute command

Parameters

  view | view to use for execution
  cmd | cmd string
  errorMsg | error to return if no success

Returns
  success

Implements Kate::Command.

Definition at line 89 of file katecmds.cpp.

bool KateCommands::CoreCommands::help | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | msg
| ) |  |

inline virtual

Shows help for the given view and cmd string, return a bool about success, msg for status.

Implements Kate::Command.

Definition at line 51 of file katecmds.h.

The documentation for this class was generated from the following files:

- katecmds.h
- katecmds.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys